#ifndef HW_LIB_SIM_KEY_H
#define HW_LIB_SIM_KEY_H
#ifdef __cplusplus
extern "C" {
#endif
#include "stdint.h"

//是否启用SDL3获取按键事件
#define USER_SDL3

typedef enum Key_map {
    SIM_KEY_UP = 1,
    SIM_KEY_DOWN,
    SIM_KEY_LEFT,
    SIM_KEY_RIGHT,
    SIM_KEY_ENABLE,
    SIM_KEY_SET,
    SIM_KEY_RESET
} Key_Map_t;

uint8_t SIM_Key_Scan();

uint8_t SIM_Key_UP(uint8_t l);

uint8_t SIM_Key_DOWN(uint8_t l);

uint8_t SIM_Key_LEFT(uint8_t l);

uint8_t SIM_Key_RIGHT(uint8_t l);

uint8_t SIM_Key_ENABLE(uint8_t l);

uint8_t SIM_Key_SET(uint8_t l);

uint8_t SIM_Key_RESET(uint8_t l);
#ifdef __cplusplus
}
#endif
#endif //HW_LIB_SIM_KEY_H
